ALTER TABLE ecw_offer
ADD sale_stage tinyint comment '销售阶段',
ADD customer_status tinyint comment '客户状态',
ADD cargo_status tinyint comment '货物状态',
ADD inquiry_source tinyint comment '询盘来源',
ADD manufacturer VARCHAR(255) comment '厂家',
ADD manufacturer_phone VARCHAR(255) comment '厂家电话',
ADD reason_dict tinyint comment '原因数据字典',
ADD estimated_shipping_time datetime comment '预计发货时间';

INSERT INTO `jiedao`.`system_dict_type`(`name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`) VALUES ('客户状态', 'ecw_offer_customer_status', 0, NULL, '1', '2025-02-11 10:08:50', '1', '2025-02-11 10:08:50', b'0');
INSERT INTO `jiedao`.`system_dict_type`(`name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`) VALUES ('货物状态', 'ecw_offer_cargo_status', 0, NULL, '1', '2025-02-11 10:08:50', '1', '2025-02-11 10:08:50', b'0');
INSERT INTO `jiedao`.`system_dict_type`(`name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`) VALUES ('询盘来源', 'ecw_offer_inquiry_source', 0, NULL, '1', '2025-02-11 10:08:50', '1', '2025-02-11 10:08:50', b'0');
INSERT INTO `jiedao`.`system_dict_type`(`name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`) VALUES ('输单原因', 'ecw_offer_reason_dict', 0, NULL, '1', '2025-02-11 10:08:50', '1', '2025-02-11 10:08:50', b'0');

INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (3, '关系（指定）', '3', 'ecw_offer_reason_dict', 0, 'default', '', NULL, '2741', '2025-02-11 16:31:08', '2741', '2025-02-11 16:31:08', b'0', 'Specified Relationship', 'Relation Spécifiée');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (2, '服务', '2', 'ecw_offer_reason_dict', 0, 'default', '', NULL, '2741', '2025-02-11 16:30:46', '2741', '2025-02-11 16:30:46', b'0', 'Service', 'Service');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (1, '价格', '1', 'ecw_offer_reason_dict', 0, 'default', '', NULL, '2741', '2025-02-11 16:30:12', '2741', '2025-02-11 16:30:12', b'0', 'Price', 'Prix');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (6, '目的港线索', '6', 'ecw_offer_inquiry_source', 0, 'default', '', NULL, '2741', '2025-02-11 16:12:52', '2741', '2025-02-11 16:12:52', b'0', 'Destination Port Leads', 'Pistes du Port de Destination');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (5, '公海（注意下掉时间）', '5', 'ecw_offer_inquiry_source', 0, 'default', '', NULL, '2741', '2025-02-11 16:12:27', '2741', '2025-02-11 16:12:27', b'0', 'Open Sea (Note the Drop Time)', 'Mer Ouverte (Notez le Temps de Chute)');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (4, '市场部', '4', 'ecw_offer_inquiry_source', 0, 'default', '', NULL, '2741', '2025-02-11 16:12:00', '2741', '2025-02-11 16:12:00', b'0', 'Marketing Department', 'Département Marketing');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (3, '收货人推荐', '3', 'ecw_offer_inquiry_source', 0, 'default', '', NULL, '2741', '2025-02-11 16:11:25', '2741', '2025-02-11 16:11:25', b'0', 'Consignee Recommendation', 'Recommandation de Destinataire');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (2, '发货人推荐', '2', 'ecw_offer_inquiry_source', 0, 'default', '', NULL, '2741', '2025-02-11 16:10:58', '2741', '2025-02-11 16:10:58', b'0', 'Shipper Recommendation', 'Recommandation d\'Expéditeur');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (1, '成交客户复购', '1', 'ecw_offer_inquiry_source', 0, 'default', '', NULL, '2741', '2025-02-11 16:07:14', '2741', '2025-02-11 16:07:14', b'0', 'Repeat Purchase by Closed Customers', 'Achat Répété par Clients Fermés');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (4, '货好，尾款已付', '4', 'ecw_offer_cargo_status', 0, 'default', '', NULL, '2741', '2025-02-11 16:01:33', '2741', '2025-02-11 16:01:33', b'0', 'Goods ready, final payment made', 'Marchandises prêtes, paiement final effectué');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (3, '货好，未付尾款', '3', 'ecw_offer_cargo_status', 0, 'default', '', NULL, '2741', '2025-02-11 16:01:06', '2741', '2025-02-11 16:01:06', b'0', 'Goods ready, final payment not made', 'Marchandises prêtes, paiement final non effectué');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (2, '已下订金，货物生产中', '2', 'ecw_offer_cargo_status', 0, 'default', '', NULL, '2741', '2025-02-11 16:00:43', '2741', '2025-02-11 16:00:43', b'0', 'Deposit paid, goods in production', 'Acompte versé, production en cours');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (1, '未向工厂下单', '1', 'ecw_offer_cargo_status', 0, 'default', '', NULL, '2741', '2025-02-11 16:00:19', '2741', '2025-02-11 16:00:19', b'0', 'Order not placed with the factory', 'Commande non passée à l\'usine');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (6, '回访', '6', 'ecw_offer_customer_status', 0, 'default', '', NULL, '2741', '2025-02-11 15:57:13', '2741', '2025-02-11 15:57:13', b'0', 'Follow-up Visit', 'Visite de Suivi');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (5, '增量', '5', 'ecw_offer_customer_status', 0, 'default', '', NULL, '2741', '2025-02-11 15:56:52', '2741', '2025-02-11 15:56:52', b'0', 'Increment', 'Incrément');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (4, '流失', '4', 'ecw_offer_customer_status', 0, 'default', '', NULL, '2741', '2025-02-11 15:54:07', '2741', '2025-02-11 15:54:07', b'0', 'Loss', 'Perte');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (3, '轻货', '3', 'ecw_offer_customer_status', 0, 'default', '', NULL, '2741', '2025-02-11 15:52:32', '2741', '2025-02-11 15:52:32', b'0', 'Light Cargo', 'Marchandises Légères');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (2, '重货', '2', 'ecw_offer_customer_status', 0, 'default', '', NULL, '2741', '2025-02-11 15:52:10', '2741', '2025-02-11 15:52:10', b'0', 'Heavy Cargo', 'Marchandises Lourdes');
INSERT INTO `jiedao`.`system_dict_data`(`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`, `label_fr`) VALUES (1, '线索', '1', 'ecw_offer_customer_status', 0, 'default', '', NULL, '2741', '2025-02-11 15:50:47', '2741', '2025-02-11 15:50:47', b'0', 'Clue', 'Indice');
